#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/alix.cgi                                 3.6.0
#
# Creation:     gdw
# Last Update:  $Id: alix.cgi 18952 2010-12-20 22:15:37Z rresch $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

i2c_get_temperature
set `echo $temperature | sed -e 's#/# #'`
cpu=$1
pcb=$2

show_html_header "ALIX"
show_tab_header "Temperatur" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU</td>
    <td>$cpu &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB</td>
    <td>$pcb &deg;C</td>
</tr>
</table>
EOF

show_tab_footer

show_tab_header "BIOS" no

echo "<table class='normtable'>"
/usr/sbin/pcengines | grep -v Watchdog | sed 's#^#<tr><td>#;s# *: *#</td><td>#;s#$#</td></tr>#;s# #\&nbsp;#g'
echo "</table>"

show_tab_footer

show_html_footer
