#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/fscpc.cgi                                3.6.0
#
# Creation:     gdw
# Last Update:  $Id: fscpc.cgi 17886 2010-01-01 19:32:14Z arwin $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

volt1=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in0_input`
volt2=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in1_input`
volt3=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/class/hwmon/hwmon0/device/in2_input`
temp1=`sed 's/\([0-9]\)[0-9]\{2\}$/.\1/' /sys/class/hwmon/hwmon0/device/temp1_input`
temp2=`sed 's/\([0-9]\)[0-9]\{2\}$/.\1/' /sys/class/hwmon/hwmon0/device/temp2_input`
show_html_header "fscpc"

show_tab_header "Temperaturen" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU</td>
    <td>$temp1 &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB</td>
    <td>$temp2 &deg;C</td>
</tr>
</table>
EOF

show_tab_footer

show_tab_header "Spannungen" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Spannung</th>
</tr>
<tr align='center'>
    <td>12V</td>
    <td>$volt1 V</td>
</tr>
<tr align='center'>
    <td>5V</td>
    <td>$volt2 V</td>
</tr>
<tr align='center'>
    <td>VBat</td>
    <td>$volt3 V</td>
</tr>
</table>
EOF

show_tab_footer
show_html_footer
