#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/fscpc.cgi                                3.6.0
#
# Creation:     gdw
# Last Update:  $Id: x7sla.cgi 18528 2010-08-03 19:54:51Z rresch $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf

volt1=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in0_input`
volt3=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in2_input`
volt4=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in3_input`
volt5=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in4_input`
volt7=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in6_input`
volt8=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in7_input`
volt9=`sed 's/\([0-9]\{3\}\)$/.\1/' /sys/devices/platform/w83627ehf.656/in8_input`

volt2=`cat /sys/devices/platform/w83627ehf.656/in1_input`
volt2=`expr $volt2 \* 663 | sed 's/\([0-9]\{5\}\)$/.\1/'`

volt6=`cat /sys/devices/platform/w83627ehf.656/in5_input`
volt6=`expr $volt6 \* 4 | sed 's/\([0-9]\{3\}\)$/.\1/'`
	  
temp1=`sed 's/\([0-9]\)[0-9]\{2\}$/.\1/' /sys/devices/platform/w83627ehf.656/temp1_input`
temp2=`sed 's/\([0-9]\)[0-9]\{2\}$/.\1/' /sys/devices/platform/w83627ehf.656/temp2_input`

fan4=`cat /sys/devices/platform/w83627ehf.656/fan4_input`

freq=`sed 's/\([0-9]\{3\}\)$//' /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq`

show_html_header "x7sla"

show_tab_header "Temperaturen" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>CPU</td>
    <td>$temp1 &deg;C</td>
</tr>
<tr align='center'>
    <td>PCB</td>
    <td>$temp2 &deg;C</td>
</tr>
</table>
EOF

show_tab_footer

show_tab_header "Spannungen" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Sensor</th>
    <th>Spannung</th>
</tr>
<tr align='center'>
    <td>Vcore</td>
    <td>$volt1 V</td>
</tr>
<tr align='center'>
    <td>+12V</td>
    <td>$volt2 V</td>
</tr>
<tr align='center'>
    <td>+3.3V</td>
    <td>$volt3 V</td>
</tr>
<tr align='center'>
    <td>Vcc</td>
    <td>$volt4 V</td>
</tr>
<tr align='center'>
    <td>Vdimm</td>
    <td>$volt5 V</td>
</tr>
<tr align='center'>
    <td>+5V</td>
    <td>$volt6 V</td>
</tr>
<tr align='center'>
    <td>+1.5V</td>
    <td>$volt7 V</td>
</tr>
<tr align='center'>
    <td>3VSB</td>
    <td>$volt8 V</td>
</tr>
<tr align='center'>
    <td>Vbat</td>
    <td>$volt9 V</td>
</tr>
</table>
EOF

show_tab_footer
if [ -n "`lsmod | grep p4_clockmod`" ]
then
  show_tab_header "Prozessor" no
  cat <<EOF
<table class='normtable'>
<tr align='center'>
    <td>Taktfrequenz</td>
    <td>$freq MHz</td>
</tr>
</table>
EOF
  show_tab_footer
fi

show_html_footer
