#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/wrap.cgi                                 3.6.0
#
# Creation:     gdw
# Last Update:  $Id: wrap.cgi 18952 2010-12-20 22:15:37Z rresch $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf
i2c_get_temperature

show_html_header "WRAP"
show_tab_header "Temperatur" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>$temperature &deg;C</td>
</tr>
</table>
EOF

show_tab_footer

show_tab_header "BIOS" no

echo "<table class='normtable'>"
/usr/sbin/pcengines | grep -v Watchdog | sed 's#^#<tr><td>#;s# *: *#</td><td>#;s#$#</td></tr>#;s# #\&nbsp;#g'
echo "</table>"

show_tab_footer

show_html_footer
